from typing import Optional

import strawberry


@strawberry.type
class PromptResponse:
    """
    A prompt and response pair. Used to group together the input and output of a LLM
    """

    prompt: Optional[str] = strawberry.field(description="The prompt submitted to the LLM")
    response: Optional[str] = strawberry.field(description="The response generated by the LLM")
